thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From nsuke <...@git.apache.org>
Subject [GitHub] thrift issue #1185: Thrift 3369 - Third try to merge SSL c_glib
Date Sun, 12 Feb 2017 08:44:44 GMT
Github user nsuke commented on the issue:

    https://github.com/apache/thrift/pull/1185
  
    @jeking3 in that case, Ubuntu might be using a patched version of Python.
    
    According to the [doc](https://docs.python.org/2/library/ssl.html#ssl.OP_NO_SSLv2), it's
added in 2.7.9.
    
    > ssl.OP_NO_SSLv2
    > Prevents an SSLv2 connection. This option is only applicable in conjunction with
PROTOCOL_SSLv23. It prevents the peers from choosing SSLv2 as the protocol version.
    > New in version 2.7.9.
    
    We may want to directly check the existence of `OP_NO_SSLLv*` instead of current blanket
version check.


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message